/**
 * Copyright (C) 2007-2011 Lawrence Murray
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * @author Lawrence Murray <lawrence@indii.org>
 * $Rev: 309 $
 * $Date: 2011-10-20 22:15:34 +0800 (Thu, 20 Oct 2011) $
 */
#include "About.hpp"

#include "wx/aboutdlg.h"

void indii::showAboutDialog(wxWindow* parent) {
  ///@todo Replace details here with macros
  wxAboutDialogInfo info;
  info.SetName(_("tintii"));
  info.SetVersion(_("2.5.3"));
  info.SetDescription(_("A photo editor for selective colour, saturation and hue shift adjustments."));
  info.SetWebSite(_("http://www.indii.org/tintii"));
  info.SetCopyright(_("Copyright 2007-2011 Lawrence Murray"));

  #ifndef WX_28
  wxAboutBox(info, parent);
  #else
  wxAboutBox(info);
  #endif
}
