/**
 * Copyright (C) 2007-2011 Lawrence Murray
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * @author Lawrence Murray <lawrence@indii.org>
 * $Rev: 308 $
 * $Date: 2011-10-11 21:56:35 +0800 (Tue, 11 Oct 2011) $
 */
#include "Components.hpp"

using namespace indii;

bool Components::allActivated() {
  bool result = true;
  unsigned int i;
  
  for (i = 0; i < NUM_COMPONENTS && result; i++) {
    result = result && isActivated((Component)i);
  }
  
  return result;
}
